﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;


public partial class StoredProcedures
{
    // See http://sqlskills.com/BLOGS/BOBB/post/SQLCLR-NET-4-based-behavior-differences-in-SQL-Server-2012.aspx     

    [Microsoft.SqlServer.Server.SqlProcedure]
    public static void InvalidTimeSpanEx()
    {
        TimeSpan interval = new TimeSpan(12, 30, 45);
        string output;
        try
        {
            output = String.Format("{0:r}", interval);
        }
        catch (FormatException)
        {
            output = "Invalid Format";
        }
        SqlContext.Pipe.Send(output);

    }
};
